Subject: Communication in response to the OIF

From: Kireeti Kompella <[email-masked]>
Date: Tue, 9 Mar 2004 06:13:29 -0800 (PST)

Hi All,

Here's a first draft of a reply to the OIF.  Please comment to the
list by Monday, March 15 2004.

If someone has email addresses for Steve Joiner, Jim Jones and John
McDonough (and titles for the last two), that would be very helpful.

Thanks,
Kireeti.
--------

<Date>

 From: Kireeti Kompella & Adrian Farrel, IETF CCAMP Working Group Chairs

To: Mr. Steve Joiner, OIF Technical Committee Chair
Cc: Jim Jones,
Cc: John McDonough,
Cc: Alex Zinin,       IETF Routing Area Director
Cc: Bill Fenner,      IETF Routing Area Director

Dear Steve,

Thank you for your communication regarding the current status of OIF
signaling and routing work, and the associated documentation.  This
communication is in response.  As there is no formal liaison
relationship yet between the IETF and the OIF, this communication is
not treated as a liaison; hopefully, this situation will be rectified
soon.

Thank you too for allowing Mr. Lyndon Ong to present a synopsis of
the work going on at the OIF with regard to Intra-carrier E-NNI
routing.  It was both useful and enlightening.

However, both of these gave us cause for alarm, on two fronts:
a) The development of new or modified code points and procedures
   in OSPF without expert review from the OSPF WG in the IETF
   contravenes IETF procedure, especially as the IETF pays special
   attention to changes in protocols in the Routing Area, such as
   OSPF.
b) The development of routing for optical networks without expert
   review from the CCAMP WG is also a source of concern, especially
   in the light of a cooperative effort between the ITU-T and the
   IETF in exactly this area.

Mr. Ong's emphasis that this work was experimental and purely for the
purpose of testing alleviated some of our concerns.  It would be very
helpful to hear this officially from the OIF; furthermore, in the
interests of openness and full disclosure, we would strongly urge the
modification of a paragraph in the Introduction of the draft routing
document OIF2003.259 as follows:

   "The base protocol as defined by this document is OSPF with
    extensions for Traffic Engineering and GMPLS.  This document
    proposes to use GMPLS-OSPF to operate at each hierarchical
    level, with multiple such levels stacking up to form the
    routing hierarchy.  Extensions have been defined in the forms
    of (sub-) TLVs to accommodate the requirements as defined in the
    G.8080, G.7715, and G.7715.1.  Note that these extensions as
    currently specified are purely for the purpose of experimentation
    and testing; in particular, they have not yet been reviewed by
    the OSPF and CCAMP Working Groups in the IETF.  Furthermore they
    use experimental codepoints, and as such must not be used in
    production deployments."

Mr. Ong also brought to our attention that the OIF will be holding
an interoperability demonstration of this specification at the
SuperComm in June 2004.  Due to the preliminary nature of this
specification, the IETF would strongly recommend that the words
OSPF, OSPF-TE and GMPLS not be used in the context of this
demonstration, nor that there be any implication that this work
has been reviewed or sanctioned by the IETF.

It would be helpful in determining the future relationship between
the IETF and the OIF to understand how the OIF intends to progress
this document.

 o Is this intended to become an Implementation Agreement in
   something close to its current form?

 o Does the OIF intend to submit this as a submission in the ITU-T
   SG15 to become a Recommendation?

 o Does the OIF intend to submit this document as an Internet Draft
   to become an IETF RFC?

Thank you for your attention in this matter, and for initiating this
dialogue.  We hope that this develops into a fruitful relationship.
To that end, we enclose a product of the joint work between the
ITU-T and the IETF on Routing Requirements for ASON.  This is a
work in progress, and we solicit your comments:
 - to identify any requirements that the OIF has over and above those
    requirements established by the ITU-T ASON model
 - to ensure that the solution developed within the IETF addresses
    the requirements of both the ITU-T and OIF.

We hope that your feedback will signal the beginning of an active
cooperation between the IETF and the OIF.

Sincerely,
<etc.>

<attachment: current version of GMPLS ASON Routing Requirements doc>

---

From: Fred Stringer <[email-masked]>
Date: Tue, 09 Mar 2004 10:28:12 -0500

Hi Kireeti,
A comment from the lurking gallery if I may.
You are probably representing the committee opinion here, but there seems 
to be a conflict in the  message.
You stated that since the work was emphasized by Mr. Ong as "experimental" 
alleviated some concerns - but then there is the concern over the SuperComm 
testing.
I don't think INTEROPERABILITY demonstration in public forum is purely 
experimental.
I don't see why the concerns are alleviated. You don't want to clobber 
Lyndon but I think the concern is justified. The industry has enough 
problems without fracturing the protocols it depends upon.

The request of not using OSPF, OSPF-TE and GMPLS in the demo has teeth and 
is good.

Of all the comments you were probably expecting I'm sure this is not one of 
them. But the situation did move me to come a little out of my lurking status.

cheers
Fred

---

From: Stephen J Trowbridge <[email-masked]>
Date: Tue, 09 Mar 2004 11:59:01 -0700

Hi Fred,
I think rather than any kind of knee jerk reaction, it is probably better to
think before we act.

It isn't really important whether we like the situation as it is now and whether
or not we like what OIF has done. What we should consider is, starting from
where things stand now, what sort of response is likely to lead to the best
result for IETF and for the industry?

I think it is a good bet that the OIF demo is going to occur whether or not we
like what they have done. Participants have made investments to make this happen
and it isn't going to stop now. And as you say, even with the "experimental"
characterization of what they are doing, a demonstration like this in such a
high profile venue will surely develop a measure of credibility for the solution.

If we take this as a given, the next questions I would ask are:
- Is it better for IETF to disavow any association with the OIF effort, with the
result being that multiple "descendants" of the GMPLS protocols (whether OIF is
allowed to use the "GMPLS" term or not) compete with each other in the market;
or would it be better to try to constructively engage with OIF to try to limit
the proliferation of solutions and to bring the OIF solution in line with IETF
principles?

- Is it better in the demo if IETF gets credit (and presumably good press) for
the base protocols that were employed to make it happen, or should this look
like OIF did this single-handedly? (I would guess that ITU-T will probably ask
to get credit for the technology from their organization that was used to make
the demo happen. Shouldn't we do the same?).

Regards,
Steve

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 9 Mar 2004 12:44:42 -0800 (PST)

Hi Fred,

> problems without fracturing the protocols it depends upon.

Thanks for your comments.  I agree that there is a tension between
"experimental" and "interoperability".  The value of an interop event
that uses experimental (and hence subject to change) code points and
extensions is debatable, but the OIF has been doing these events for a
long time now.  I doubt they will stop calling them interop events;
hopefully, they will at least state that they are experiments.

As for concerns being alleviated, perhaps when the questions that were
listed are answered, we'll have a better grasp of the seriousness of
this situation.

> The request of not using OSPF, OSPF-TE and GMPLS in the demo has teeth and

Okay, good.

> them. But the situation did move me to come a little out of my lurking status.

With the CCAMP WG, I don't expect ... I send my mails and duck :-)

Kireeti.
-------

---

From: "Vishal Sharma" <[email-masked]>
Date: Tue, 9 Mar 2004 12:48:37 -0800

Steve,

I think you make very good points. I especially concur with
the idea of the IETF ensuring that it gets rightful credit for being the
originator of the GMPLS family of protocols, as that is both
constructive and beneficial.

It would be important to have acknowledged that the IETF has
been _instrumental_ in developing these protocols, and that other
organizations are proposing enhancements for particular specialized
uses (or something to that effect).

I am not sure what will be needed to get the various versions aligned, but
even if actual alignment (however defined) between the OIF version
and the IETF version does not occur by the demo, perhaps there could
be (by some agreement between the OIF and the IETF?) a statement
that the home of these protocols is the IETF, and that the organizations
are working actively to bring these under one umbrella.

(The implication being that the technology developed so rapidly that
there arose some differences between how various organizations applied
(or enhanced) it, but that these are now being cooperatively harmonized
for the benefit of the industry at large.)

-Vishal

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Stephen J Trowbridge
> Sent: Tuesday, March 09, 2004 10:59 AM
> To: Fred Stringer
> Cc: Kireeti Kompella; [email-masked]
> Subject: Re: Communication in response to the OIF
>
>
> Hi Fred,

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 9 Mar 2004 13:22:10 -0800 (PST)

Hi Steve,

On Tue, 9 Mar 2004, Stephen J Trowbridge wrote:

Let me skip to your questions:

> - Is it better for IETF to disavow any association with the OIF
> effort, with the result being that multiple "descendants" of the
> GMPLS protocols (whether OIF is allowed to use the "GMPLS" term or
> not) compete with each other in the market; or would it be better to
> try to constructively engage with OIF to try to limit the
> proliferation of solutions and to bring the OIF solution in line
> with IETF principles?

It's really too early to answer this: we (CCAMP and OSPF WGs) haven't
looked at the OIF solution in detail yet.  However, at this point, the
IETF should disavow any endorsement of the OIF "OSPF" solution.  In
the light of the current work in the IETF, perhaps this is the right
answer even in the future.

If there are multiple "descendant" solutions, so be it.  The IETF
clearly owns OSPF and RSVP-TE, and any change MUST be validated by the
IETF.  I remember the innumerable debates where the ITU-T demanded
that the IETF *not* change SDH/G.709/..., and the IETF complied.  We
could have done otherwise, and created "descendants" of SDH, but as a
responsible SDO, we did not.  Let's see how the OIF proceeds before we
make judgments on its level of responsibility.

> - Is it better in the demo if IETF gets credit (and presumably good
> press) for the base protocols that were employed to make it happen,
> or should this look like OIF did this single-handedly? (I would
> guess that ITU-T will probably ask to get credit for the technology
> from their organization that was used to make the demo happen.
> Shouldn't we do the same?).

My opinion: we should let this look like the OIF did this
single-handedly (which they did, so anything else would be less than
honest).  And no, we should not do the same as your presumption of
the ITU-T's behaviour.  The issue is not who gets the credit, but
what happens to standards.

BTW, I am *very* sure that had the IETF modified SDH on its own and
organized a demo event for it, the ITU-T would not have rallied round
asking for credit; they (at least some factions therein) would have
raised a stink so vociferous it would take years to mend relations.
I have the scars to prove this.  So, let's not guess what SDOs would
do; let's just do the right thing ourselves.

Kireeti.
-------